function [A1, A2, A3] = NOD_A(x,D_intra,D_iso,G_mag,Del,del,g,b)
OD= x(1);
theta = x(2);
phi = x(3);
v_ic=x(4);
sinT = sin(theta);
cosT = cos(theta);
sinP = sin(phi);
cosP = cos(phi);
n = [cosP*sinT  sinP*sinT  cosT];
%%%%%%%%%%%%%%%%%%%%%%%%%  IntraCellular ic %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
kappa = 1 ./ tan(OD*pi/2);
signal_ic = SynthMeasWatsonSHCylNeuman_PGSE( [D_intra 0 kappa], g, G_mag, Del, del, n', 0 );
nG3=signal_ic;
%%%%%%%%%%%%%%%%%%%%%%%% Extra Cellular ec %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
d_perp=D_intra * (1 - v_ic);
signal_ec = SynthMeasWatsonHinderedDiffusion_PGSE( [D_intra d_perp kappa], g, G_mag, Del, del, n');
nG4=signal_ec;
%%%%%%%%%%%%%%%%%%%%%%%%%  ISO %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
nG5= (D_iso * b); 
A1=nG3;
A2=nG4;
A3=exp(-nG5);

